package org.example.petshopdesktop.models;

public class SaleCartItem {
    private final int prodId;
    private final String prodName;
    private int quantity;
    private final double unitPrice;

    public SaleCartItem(int prodId, String prodName, int quantity, double unitPrice) {
        this.prodId = prodId;
        this.prodName = prodName;
        this.quantity = quantity;
        this.unitPrice = unitPrice;
    }

    public int getProdId() {
        return prodId;
    }

    public String getProdName() {
        return prodName;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public double getUnitPrice() {
        return unitPrice;
    }

    public double getTotal() {
        return unitPrice * quantity;
    }
}
